Subject: [ietf-smtp] Gmail NDNs (was Request for discussion of Mandatory Secure Mail Delivery proposal (draft-wchuang-msmd))

From: Brandon Long <[email-masked]>
Date: Wed, 16 Oct 2013 14:46:44 -0700

On Wed, Oct 16, 2013 at 11:40 AM, John C Klensin <[email-masked]> wrote:
> Given where you and your colleagues work, it may be appropriate
> to note that, empirically, gmail is one of the systems that
> cannot be relied upon to generate and deliver NDNs.

I realize I should have been on this list years ago, but my quick
perusal of the last couple years in the archives didn't enlighten
me... can you explain this?

We pretty strictly adhere to a "deliver or block/bounce" philosophy
for mail for Google's systems, outside of some deliberately configured
noreply addresses or some exceedingly rare (and usually admin
requested) firefighting, we don't drop messages.

I do know that Gmail is very aggressive about spam foldering bounce
messages if we can't determine that the bounce is legitimate (ie, the
original message is in the user's sent label), not sure if that
accounts for your view or not.

Brandon